package hdm.mi.growbros.controllers;


import hdm.mi.growbros.service.GrandmaService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/v1/randomPlantInfo")
public class GrandmaController {

    private final GrandmaService grandmaService;

    public GrandmaController(GrandmaService grandmaService){
        this.grandmaService = grandmaService;
    }

    @GetMapping
    public ResponseEntity<String> getGrowingTipDesTages() {
        return ResponseEntity.ok(grandmaService.growingTippDesTages());
    }
    @GetMapping
    public ResponseEntity<String> getPlantsReadyToGrow(){
        return ResponseEntity.ok(grandmaService.notifyAboutPlantsReadyToGrow());
    }
}
